Bug 1668089 (CVE-2018-20677) - CVE-2018-20677 bootstrap: XSS in the affix configuration target property
Summary: CVE-2018-20677 bootstrap: XSS in the affix configuration target property
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-20677
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1668090 1668093 1668091 1668092 1673130 1673131 1673132 1673133 1673134 1673210 1740983 1811966 1811967
Blocks: 1668094
TreeView+ depends on / blocked
 
Reported: 2019-01-21 21:31 UTC by Laura Pardo
Modified: 2021-02-16 22:29 UTC (History)
62 users (show)

Fixed In Version: bootstrap 3.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1456 0 None None None 2019-06-11 15:32:27 UTC
Red Hat Product Errata RHSA-2019:3023 0 None None None 2019-10-10 15:38:45 UTC
Red Hat Product Errata RHSA-2020:0132 0 None None None 2020-01-16 16:02:25 UTC
Red Hat Product Errata RHSA-2020:0133 0 None None None 2020-01-16 16:03:04 UTC
Red Hat Product Errata RHSA-2020:3936 0 None None None 2020-09-29 19:57:38 UTC
Red Hat Product Errata RHSA-2020:4670 0 None None None 2020-11-04 02:49:48 UTC
Red Hat Product Errata RHSA-2020:5571 0 None None None 2020-12-16 13:51:54 UTC

Comment 13 errata-xmlrpc 2019-06-11 15:32:25 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.2 zip

Via RHSA-2019:1456 https://access.redhat.com/errata/RHSA-2019:1456

Comment 14 Product Security DevOps Team 2019-07-12 13:06:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20677

Comment 15 Doran Moppert 2019-08-14 04:12:07 UTC
This vulnerability was addressed Red Hat Virtualization 4.3 package ovirt-engine-api-explorer via https://access.redhat.com/errata/RHBA-2019:1570

Comment 16 Doran Moppert 2019-08-14 04:12:14 UTC
Statement:

Red Hat CloudForms 4.6 and newer versions include the vulnerable component, but there is no risk of exploitation, since there is no possible vector to access the vulnerability. Older Red Hat CloudForms versions don't use the vulnerable component at all.

Red Hat Virtualization 4.2 EUS contains the affected version of bootstrap in the packages ovirt-js-dependencies and ovirt-engine-dashboard. These packages are deprecated in Red Hat Virtualization 4.3.

Comment 17 errata-xmlrpc 2019-10-10 15:38:43 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.3

Via RHSA-2019:3023 https://access.redhat.com/errata/RHSA-2019:3023

Comment 19 errata-xmlrpc 2020-01-16 16:02:20 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:0132 https://access.redhat.com/errata/RHSA-2020:0132

Comment 20 errata-xmlrpc 2020-01-16 16:02:57 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:0133 https://access.redhat.com/errata/RHSA-2020:0133

Comment 22 errata-xmlrpc 2020-09-29 19:57:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3936 https://access.redhat.com/errata/RHSA-2020:3936

Comment 23 errata-xmlrpc 2020-11-04 02:49:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4670 https://access.redhat.com/errata/RHSA-2020:4670

Comment 26 errata-xmlrpc 2020-12-16 13:51:46 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 13.0 (Queens) for RHEL 7.6 EUS

Via RHSA-2020:5571 https://access.redhat.com/errata/RHSA-2020:5571


Note You need to log in before you can comment on or make changes to this bug.